angular.module('ionic.ion.autoListDivider',[])

  .directive('autoListDivider', function($timeout) {
    var lastDivideKey = "";

    return {
      link: function(scope, element, attrs) {
        var key = attrs.autoListDividerValue;

        var defaultDivideFunction = function(k){
          return k.slice( 0, 1 ).toUpperCase();
        }

        var doDivide = function(){
          var divideFunction = scope.$apply(attrs.autoListDividerFunction) || defaultDivideFunction;
          var divideKey = divideFunction(key);

          if(divideKey != lastDivideKey) {
            console.log(element , 'n');
            var contentTr = angular.element("<ion-item class='item item-divider'>"+divideKey+"</ion-item>");
            element[0].parentNode.insertBefore(contentTr[0], element[0]);
          }

          lastDivideKey = divideKey;
        }

        $timeout(doDivide,0)
      }
    }
  });
